<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <h4 class="card-title">
						        <span>DAFTAR AKTA</span>
						    </h4>
						    <br/>
						    </div>
        			<div class="card-body">
        			<mat-accordion>
					  <!-- <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false"> -->
					  <mat-expansion-panel [disabled]="true" [expanded]="true">
					    <mat-expansion-panel-header>
					      <mat-panel-title>
					        <span class="textH">FILTER PENCARIAN</span>
					      </mat-panel-title>
					      <!-- <mat-panel-description>
					        Currently I am {{panelOpenState ? 'open' : 'closed'}}
					      </mat-panel-description> -->
					    </mat-expansion-panel-header>
								<div class="row">
							    	<div class="col-2"  [formGroup]="editForm">
							            <div class="input-group mb-3" >
							                  <select class="form-control textH" name="ppd" formControlName="ppd" id="field_sistem" (change)="onChange($event.target.value)">
							                      <option class="textH" value="" selected disabled>PILIH PENCARIAN</option>
							                      <option value="tgl" class="textH">TANGGAL PROSES</option>
							                      <option value="bln" class="textH">BULAN PROSES</option>
							                  </select>
										</div>
							         </div>
							        <div class="col-md-5">
							            <div class="input-group mb-4">
							                 <span *ngIf="sPpd">
							                	<input type="date" class="form-control textH" name="date" [(ngModel)]="date" (ngModelChange)="searchPpd('date')" required/>
											 </span> 
											 <span *ngIf="!sPpd">
							               		 <input type="month" class="form-control textH" name="month" [(ngModel)]="month" (ngModelChange)="searchPpd('month')" required/>
											 </span>
							            </div>
							        </div>
							        <div class="col-md-2">
									</div>
							        <div class="col-md-3 input-group" [formGroup]="ppkGroup">
										<input type="text" class="form-control textH"  name="ppknomor" id="ppknomor" placeholder="Cari nomor kontrak..." formControlName="ppknomor">
										<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchppk('ppkNomor')">
						                        <i class="material-icons">search</i>
						                </button>
									</div>
							    </div>
					  </mat-expansion-panel>
					</mat-accordion>
        			<br/>
			            <jhi-alert-error></jhi-alert-error>
			            <div class="table-responsive-sm" *ngIf="aktas?.length > 0">
						        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
						            <tbody>
						            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" class="textH">
							            <td scope="col" class="d-none d-sm-table-cell">TGL PROSES</td>
							            <td scope="col" class="d-none d-sm-table-cell">NOMOR KONTRAK</td>
							            <td scope="col" class="d-none d-sm-table-cell">NAMA DEBITUR</td>
							            <td scope="col" class="d-none d-sm-table-cell">NAMA DI BPKB</td>
							            <td scope="col" class="d-none d-sm-table-cell">NOTARIS</td>
							            <td scope="col" class="d-none d-sm-table-cell">NO AKTA</td>
							            <td scope="col" class="d-none d-sm-table-cell">TANGGAL</td>
							            <td scope="col" class="d-none d-sm-table-cell">PUKUL</td>
							            <td scope="col" class="d-none d-sm-table-cell">PENERIMA KUASA</td>
						            </tr>
						            </tbody>
						            <tbody>
						            <tr *ngFor="let akta of aktas let i= index" class="textB">
						                <td class="d-none d-sm-table-cell">{{akta.tglOrder | date:'dd-MM-yyyy'}}</td>
						                <td class="d-none d-sm-table-cell">{{akta.ppkNomor}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{akta.namaNasabah}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{akta.namaBpkb}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{akta.notarisNama}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{akta.nomorAkta}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{akta.tglAkta | date:'dd-MM-yyyy'}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{akta.pukulAkta | date:'HH:mm'}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{akta.penghadapNama}}</td>
						            </tr>
						            </tbody>
						        </table>
						</div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadData($event)"></ngb-pagination>
			        </div>
			    </div>
        			</div>
			</div>
		</div>
	</div>
</div>